## fcitx-skk 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(fcitx-skk)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
option(ENABLE_QT "Enable Qt for GUI configuration" On)

find_package(Fcitx 4.2.8 REQUIRED)
include(FindPkgConfig)
pkg_check_modules(LIBSKK "libskk" REQUIRED)
_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

if (NOT SKK_DEFAULT_PATH)
    set(SKK_DEFAULT_PATH "/usr/share/skk/SKK-JISYO.L")
endif ()

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

if(NOT DEFINED LOCALEDIR)
  set(LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
endif()

if (ENABLE_QT)
find_package(Qt 4.8 REQUIRED)
pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8" REQUIRED)
endif ()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
  IMMEDIATE @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(gui)

=== gui/CMakeLists.txt ===
set(SKK_CONFIG_SRCS
  main.cpp
  dictwidget.cpp
  adddictdialog.cpp
  dictmodel.cpp
  rulemodel.cpp
  )
fcitx_translate_add_sources(
  ${SKK_CONFIG_SRCS})

if(NOT ENABLE_QT)
  return()
endif()

include_directories(${LIBSKK_INCLUDE_DIRS})
include_directories(
  ${FCITX_QT_INCLUDE_DIRS}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  )

link_directories(
  ${FCITX_QT_LIBRARY_DIRS}
  ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
  ${LIBSKK_LIBRARY_DIRS}
  )
qt4_wrap_ui(SKK_CONFIG_SRCS dictwidget.ui adddictdialog.ui)
add_library(fcitx-skk-config
  MODULE ${SKK_CONFIG_SRCS})

add_definitions(-DQT_NO_KEYWORDS -std=c++11)

set_target_properties(fcitx-skk-config PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined"
                      AUTOMOC TRUE
)
target_link_libraries(fcitx-skk-config
  debug ${QT_QTCORE_LIBRARY_DEBUG}
  debug ${QT_QTDBUS_LIBRARY_DEBUG}
  debug ${QT_QTGUI_LIBRARY_DEBUG}
  optimized ${QT_QTCORE_LIBRARY_RELEASE}
  optimized ${QT_QTDBUS_LIBRARY_RELEASE}
  optimized ${QT_QTGUI_LIBRARY_RELEASE}
  ${FCITX_QT_LIBRARIES}
  ${FCITX4_FCITX_CONFIG_LIBRARIES}
  ${LIBSKK_LIBRARIES}
  )

install(TARGETS fcitx-skk-config DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== po/CMakeLists.txt ===
set(PO_LANGS ja de vi zh_CN )
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-skk fcitx-skk.pot)

=== debian/changelog ===
fcitx-skk (0.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on skkdic instead of skk to fix incorrect dependency
    (closes: #791382, LP: #1452072)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jul 2015 12:55:29 +0900

fcitx-skk (0.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #752849)

 -- Yusuke YATSUO <yyatsuo@debian.or.jp>  Tue, 01 Jul 2014 19:12:23 +0900

fcitx-skk (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #733316)

 -- Yusuke YATSUO <yyatsuo@debian.or.jp>  Sun, 18 May 2014 23:07:43 +0900

=== debian/control ===
Source: fcitx-skk
Section: utils
Priority: optional
Maintainer: Yusuke YATSUO <yyatsuo@debian.or.jp>
Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.6), libskk-dev, libqt4-dev
Standards-Version: 3.9.5
Homepage: https://github.com/fcitx/fcitx-skk
#Vcs-Git: git://git.debian.org/collab-maint/fcitx-skk.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/fcitx-skk.git;a=summary

Package: fcitx-skk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-bin (>=1:4.2.8), fcitx-data (>= 1:4.2.8), fcitx-modules, skkdic
Recommends: fcitx (>= 1:4.2.8)
Description: Japanese SKK input engine for Fcitx
 Japanese SKK input method engine for Fcitx,
 which uses libskk as its backend.
 .
 SKK stands for 'Simple Kana to Kanji conversion program'.
 It provide Japanese input method which convert hiragana text to kanji text.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_makeshlibs:

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/fcitx/fcitx-skk/tags .*/v?(\d\S*)\.tar\.gz

## fcitx-skk 0.1.2

=== debian/changelog ===
fcitx-skk (0.1.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: update Vcs-* urls.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 17 Jun 2016 14:10:30 +0900

fcitx-skk (0.1.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/rules: enable hardening.
  * debian/fcitx-skk.lintian-overrides
    - new file.
    - it is caused by /usr/include/fcitx-config/fcitx-config.h (fcitx-libs-dev)
      see https://bugs.debian.org/826696
  * debian/control
    - add Vcs-Git and Vcs-Browser.
    - bump up Standards-Version 3.9.8.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 08 Jun 2016 11:39:08 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Yusuke YATSUO <yyatsuo@debian.or.jp>
 Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.6), libskk-dev, libqt4-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/fcitx/fcitx-skk
-#Vcs-Git: git://git.debian.org/collab-maint/fcitx-skk.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/fcitx-skk.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fcitx-skk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fcitx-skk.git
 
 Package: fcitx-skk
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

## fcitx-skk 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 endif()
 
 if (ENABLE_QT)
-find_package(Qt 4.8 REQUIRED)
-pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8" REQUIRED)
+find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
+find_package(FcitxQt5WidgetsAddons 1.1 REQUIRED)
 endif ()
 
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"

=== data/CMakeLists.txt ===
install(FILES skk.png DESTINATION share/icons/hicolor/64x64/apps RENAME fcitx-skk.png)
install(FILES skk.png DESTINATION share/fcitx/imicon)

=== gui/CMakeLists.txt ===
set(SKK_CONFIG_SRCS
  main.cpp
  dictwidget.cpp
  adddictdialog.cpp
  dictmodel.cpp
  rulemodel.cpp
  )
fcitx_translate_add_sources(
  ${SKK_CONFIG_SRCS})

if(NOT ENABLE_QT)
  return()
endif()

include_directories(${LIBSKK_INCLUDE_DIRS})
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  )

link_directories(
  ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
  ${LIBSKK_LIBRARY_DIRS}
  )
qt5_wrap_ui(SKK_CONFIG_SRCS dictwidget.ui adddictdialog.ui)
add_library(fcitx-skk-config
  MODULE ${SKK_CONFIG_SRCS})

add_definitions(-DQT_NO_KEYWORDS -std=c++11)

set_target_properties(fcitx-skk-config PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined"
                      AUTOMOC TRUE
)
target_link_libraries(fcitx-skk-config
  Qt5::Core
  Qt5::Widgets
  FcitxQt5::WidgetsAddons
  ${FCITX4_FCITX_CONFIG_LIBRARIES}
  ${LIBSKK_LIBRARIES}
  )

install(TARGETS fcitx-skk-config DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-skk fcitx-skk.pot)

=== src/CMakeLists.txt ===
include_directories(${FCITX4_FCITX_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_CONFIG_INCLUDE_DIRS})
include_directories(${FCITX4_FCITX_UTILS_INCLUDE_DIRS})
include_directories(${LIBSKK_INCLUDE_DIRS})
link_directories(${LIBSKK_LIBRARY_DIRS})

set(fcitx_skk_sources
  skk.c skk-config.c)
fcitx_add_addon_full(skk
  DESC
  SOURCES ${fcitx_skk_sources}
  IM_CONFIG skk.conf
  LINK_LIBS ${LIBSKK_LIBRARIES}
  EXTRA_PO skk.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dictionary_list.in ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list rule DESTINATION "${FCITX4_PREFIX}/share/fcitx/skk")

=== debian/changelog ===
fcitx-skk (0.1.4-4) unstable; urgency=medium

  * debian/patches/0001: Add patch to fix cmake 4.0 compatibility.
    (Closes: #1112902)

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Sep 2025 20:02:36 -0400

fcitx-skk (0.1.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on fcitx-bin and fcitx-libs-dev.
    + fcitx-skk: Drop versioned constraint on fcitx-bin and fcitx-data in
      Depends.
    + fcitx-skk: Drop versioned constraint on fcitx in Recommends.

  [ Boyuan Yang ]
  * debian/fcitx-skk.lintian-overrides: Dropped, useless.
  * debian/copyright: Update information.
  * debian/watch: Use default pgpmode (lintian).

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Sep 2025 20:02:14 -0400

fcitx-skk (0.1.4-2) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
  * debian/watch: Monitor fcitx upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jan 2021 21:49:03 -0500

fcitx-skk (0.1.4-1) unstable; urgency=medium

  * Put package under Debian Input Method Team with
    maintainer's approval.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat.
    + R³: Use Rules-Requires-Root: no.
    + Bump Standards-Version to 4.3.0.
  * debian/watch: Monitor GitLab upstream.
  * debian/rules: Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 18:52:35 +0800

fcitx-skk (0.1.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  - Migrated to Qt5 (Closes: #874879).
  * d/rules: clean obj files.
  * Run wrap-and-sort.
  * bump up Standards-Version 4.1.2.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 06 Dec 2017 12:45:32 +0900

=== debian/control ===
Source: fcitx-skk
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Yusuke YATSUO <yyatsuo@debian.or.jp>,
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-bin,
 fcitx-libs-dev,
 libfcitx-qt5-dev,
 libskk-dev,
 qtbase5-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/fcitx/fcitx-skk
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-skk.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-skk

Package: fcitx-skk
Architecture: any
Depends:
 fcitx-bin,
 fcitx-data,
 fcitx-modules,
 skkdic,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx,
Description: Japanese SKK input engine for Fcitx
 Japanese SKK input method engine for Fcitx,
 which uses libskk as its backend.
 .
 SKK stands for 'Simple Kana to Kanji conversion program'.
 It provide Japanese input method which convert hiragana text to kanji text.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@

override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-skk/ \
 fcitx-skk-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
